<script lang="ts">
  export let summary: {
    ready: PlayerId[];
    winner: PlayerId;
    next_leader: PlayerId;
  };
  export let user: Player | null;

  $: ready = user && summary.ready.includes(user.id);
</script>

<div class="wrapper">
  <div class="text">
    <gs6-user playerid={summary.winner} /> wins the trick!
    <br />
    <gs6-user playerid={summary.next_leader} /> leads the next trick.
  </div>

  {#if user !== null && !ready}
    <div class="button-wrapper">
      <button class="small primary" on:click>OK</button>
    </div>
  {/if}
</div>

<style>
  .wrapper {
    width: 28rem;
    display: grid;
    grid-template-columns: auto 5rem;
    align-items: end;
  }
  .button-wrapper {
    text-align: right;
  }
  button {
    width: 4rem;
  }
</style>
